package com.junmp.junmpProcess.service;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.junmp.junmpProcess.vo.ProcessVO;
import com.junmp.junmpProcess.vo.TemplateGroupVo;
import com.junmp.junmpProcess.vo.UpdateProcessVO;
import com.junmp.jyzb.api.bean.query.processReq.FormReq;
import com.junmp.v2.common.bean.request.BaseRequest;
import com.junmp.v2.db.api.page.PageResult;

public interface ISysFormService {
    /**
     * 新增流程表单
     *
     * @param sysForm 流程表单
     * @return 结果
     */
//    public int insertSysForm(SysForm sysForm);
    /**
     * 创建表单
     *
     * @return
     */
    String createNewForm(FormReq processVO);

    /**
     * 创建表单
     *
     * @return
     */
    Boolean createBpmn(ProcessVO processVO) throws JsonProcessingException;

    /**
     * 编辑表单
     *
     * @return
     */
    Boolean updateForm(UpdateProcessVO process) throws JsonProcessingException;

    /**
     * 编辑表单名称
     *
     * @return
     */
    Boolean updateFormName(UpdateProcessVO process);

    /**
     * 获取用户可见表单
     *
     * @return
     */
    PageResult<TemplateGroupVo> getFormList(BaseRequest br);

    /**
     * 检查配置项
     *
     * @return
     */
    Boolean CheckConfig(String br);
    /**
     * 获取用户可见表单
     *
     * @return
     */
    Boolean DeleteFrom(String fromId);
}
